Bug 89193 - Spec file problem causes chroot named.conf to be overwritten on upgrade
Summary: Spec file problem causes chroot named.conf to be overwritten on upgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: bind (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-19 22:21 UTC by Nathan G. Grennan
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 14:03:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan G. Grennan 2003-04-19 22:21:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
%attr(775,root,named) %prefix/etc/named.conf

should be(or something like it)

%attr(775,root,named) %config %verify(user group mode) %prefix/etc/named.conf


This will prevent named.conf in /var/named/chroot/etc from being overwritten
with a empty file.

I also had a similar issue with /etc/sysconfig/named  It replaced the file with
no backup. Tho the spec file has

%config(noreplace) /etc/sysconfig/named


Version-Release number of selected component (if applicable):
bind-9.2.2-11

How reproducible:
Always

Steps to Reproduce:
1. rpm -F bind*9.2.2-11*.rpm
2. cat /var/named/chroot/etc/named.conf
3. cat /etc/sysconfig/named
    

Actual Results:  Output of generic /etc/sysconfig/named

Expected Results:  Output of original named.conf and /etc/sysconfig/named

Additional info:

Comment 1 Daniel Walsh 2003-04-22 14:03:10 UTC
Thanks.
 
fixed in 9.2.2-13 in Rawhide


Note You need to log in before you can comment on or make changes to this bug.